Bug 1468353 - Intermittent SSL errors cause iDRAC operation failure
Intermittent SSL errors cause iDRAC operation failure
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-dracclient (Show other bugs)
10.0 (Newton)
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: RHOS Maint
nlevinki
: Triaged, ZStream
Depends On:
Blocks: 1356451
  Show dependency treegraph
 
Reported: 2017-07-06 15:26 EDT by Chris Dearborn
Modified: 2017-09-20 20:47 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-20 20:47:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1691272 None None None 2017-08-31 16:25 EDT
OpenStack gerrit 466313 None None None 2017-08-22 18:31 EDT

  None (edit)
Description Chris Dearborn 2017-07-06 15:26:55 EDT
Description of problem:

When communicating with an iDRAC, an SSLError or ConnectionError may intermittently occur. If this happens at an inopportune time, it can kill an entire overcloud deployment when using tripleo.

Retry logic should be added to wsman.py so that it will recover when intermittent communication issues with the iDRAC occur.

This issue has been fixed upstream:
https://bugs.launchpad.net/python-dracclient/+bug/1691272
https://review.openstack.org/#/c/466313/

This BZ is to backport the fix to OSP10.

Version-Release number of selected component (if applicable):
1.1.1

How reproducible:
Try doing an overcloud deployment with several overcloud nodes using Dell hardware and the iDRAC driver.  Note that a single SSL error in python-dracclient will kill the deployment.

Steps to Reproduce:
1. See above.

Actual results:
Communication with the iDRAC is not retried on SSL errors.

Expected results:
Communication with the iDRAC should be retried on SSL errors.
Comment 1 Chris Dearborn 2017-09-20 17:13:55 EDT
Hey guys,

I just checked, and this fix has already been pulled in to the latest OSP10/Newton bits.  I have validated that the fix works as expected.

As a result, this BZ can be closed.  Not sure how you want to handle this - move to ERRATA or just close?


Thanks!

Chris
Comment 2 Bob Fournier 2017-09-20 20:47:37 EDT
Chris - thanks for checking and validating this.

Note You need to log in before you can comment on or make changes to this bug.